Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.tools.shell
[Java] Interface Command

    public interface Command

Provides the interface required for command extensions.

Authors:
  Jason Dillon

Version:
  \$Id\$

Method Summary
`java.lang.Object` | `execute(java.util.List args)`
`java.util.List` | `getAliases()`
`jline.Completor` | `getCompletor()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getHelp()`
`boolean` | `getHidden()`
`java.lang.String` | `getName()`
`java.lang.String` | `getShortcut()`
`java.lang.String` | `getUsage()`

Method Detail

### execute

    public java.lang.Object execute(java.util.List args)

### getAliases

    public java.util.List getAliases()

### getCompletor

    public jline.Completor getCompletor()

### getDescription

    public java.lang.String getDescription()

### getHelp

    public java.lang.String getHelp()

### getHidden

    public boolean getHidden()

### getName

    public java.lang.String getName()

### getShortcut

    public java.lang.String getShortcut()

### getUsage

    public java.lang.String getUsage()

Groovy Documentation